Subject: Re: [Bitcoin-development] BIP proposal - patch to raise selfish mining threshold.

From: Alessandro Parisi <[email-masked]>
Date: Tue, 5 Nov 2013 19:55:45 +0100

Thank you very much for your fair response, Sir;
this means that anytime a bug is found in Bitcoin protocol, chances are
that it would take a lot more time to get fixed

2013/11/5 Jeff Garzik <[email-masked]>

> On Tue, Nov 5, 2013 at 1:07 PM, Alessandro Parisi <[email-masked]>
> wrote:
> > I agree with Ittay: when bugs are found, they must be fixed ASAP,
> expecially
> > when they affect a sensitive sw such as Bitcon; in IT security, every
> flaw
> > that is exploitable in abstract, is going to be exploited in real,
> sooner or
> > later, also taking into account the increasing parallel computing power;
> > beware of false sense of security
>
> That is quite ignorant.  Bitcoin is far more complex than standard IT
> security "fix ASAP" mantra.  Distributed consensus is a new field of
> computer science, and blindly applying standard logic to bitcoin will
> quickly result in large problems.
>
> Every fix has the chance of changing the game theory or economics of
> bitcoin.  A change to the core consensus protocol within bitcoin --
> mining -- is even more game-theory- and economically-critical to the
> core system.  Changes thus have more impact, where any change
> potentially reduces bitcoin's value to zero in the worst case.
>
> Bitcoin is akin to medical device or avionics software.  We cannot
> just change at will, without significant research, analysis and
> testing.   "It is a bug, it must be fixed ASAP" is ignorant and
> dangerous.
>
> Further, this is at present a THEORETICAL problem, and the solution
> presented has some obvious flaws, that would make our current, WORKING
> SYSTEM more fragile, and less secure.
>
> --
> Jeff Garzik
> Senior Software Engineer and open source evangelist
> BitPay, Inc.      https://bitpay.com/
>